Subject: Re: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Stefan Monnier <[email-masked]>
Date: Sun, 20 Mar 2016 18:19:45 -0400

> According to the docstring, it only tells Tramp not to ask for the
> credentials (when non-essential is non-nil). Whether Tramp is allowed to
> open a connection it already knows credentials for, is not specified (though
> I probably wouldn't).

Indeed, the issue is "don't interfere with the main operation", so
prompting is a clear no-no.  Opening a new connection might be
acceptable (as long as it doesn't block Emacs for too long, for
example).

        Stefan